# dask.array.broadcast_to

dask.array.broadcast_to(x, shape, chunks=None, meta=None)

  Broadcast an array to a new shape.

  Parameters:
    x array_like

      The array to broadcast.

    shape tuple

      The shape of the desired array.

    chunks tuple, optional

      If provided, then the result will use these chunks instead of the same chunks as the source array. Setting chunks explicitly as part of broadcast_to is more efficient than rechunking afterwards. Chunks are only allowed to differ from the original shape along dimensions that are new on the result or have size 1 the input array.

    meta empty ndarray

      empty ndarray created with same NumPy backend, ndim and dtype as the Dask Array being created (overrides dtype)

  Returns:
    broadcast dask array

  See also

  `numpy.broadcast_to()`